> [!WARNING]
> This method is deprecated; use the `course.announcements.addOnAttachments.studentSubmissions`, `course.courseWork.addOnAttachments.studentSubmissions` or `course.courseWorkMaterials.addOnAttachments.studentSubmissions` method instead.

- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments.studentSubmissions/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments.studentSubmissions/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments.studentSubmissions/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments.studentSubmissions/patch#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments.studentSubmissions/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.posts.addOnAttachments.studentSubmissions/patch#body.aspect)

Updates data associated with an add-on attachment submission.

Requires the add-on to have been the original creator of the attachment and the attachment to have a positive `maxPoints` value set.

This method returns the following error codes:

- `PERMISSION_DENIED` for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if the request is malformed.
- `NOT_FOUND` if one of the identified resources does not exist.

### HTTP request

`PATCH https://classroom.googleapis.com/v1/courses/{courseId}/posts/{postId}/addOnAttachments/{attachmentId}/studentSubmissions/{submissionId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. Identifier of the course. |
| `postId (deprecated)` | `string` Optional. Deprecated, use `itemId` instead. |
| `attachmentId` | `string` Required. Identifier of the attachment. |
| `submissionId` | `string` Required. Identifier of the student's submission. |

### Query parameters

| Parameters ||
|---|---|
| `itemId` | `string` Identifier of the `Announcement`, `CourseWork`, or `CourseWorkMaterial` under which the attachment is attached. This field is required, but is not marked as such while we are migrating from postId. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Mask that identifies which fields on the attachment to update. The update fails if invalid fields are specified. If a field supports empty values, it can be cleared by specifying it in the update mask and not in the `AddOnAttachmentStudentSubmission` object. The following fields may be specified by teachers: - `pointsEarned` This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.addOnAttachments.studentSubmissions#AddOnAttachmentStudentSubmission`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork.addOnAttachments.studentSubmissions#AddOnAttachmentStudentSubmission`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/classroom.addons.teacher`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).